org.eclipse.emf.cdo.workspace

## Interface CDOWorkspaceBase2

- All Superinterfaces:
    CDORevisionProvider, CDOWorkspaceBase
  All Known Subinterfaces:
    InternalCDOWorkspaceBase

      public interface CDOWorkspaceBase2
      extends CDOWorkspaceBase

  Adds `isEmpty()` and `containsID(CDOID)` methods.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsID(CDOID id)`
    `boolean` | `isAddedObject(CDOID id)`
    `boolean` | `isEmpty()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.workspace.CDOWorkspaceBase

      `getIDs, getWorkspace`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

- - ### Method Detail

    - #### isEmpty

          boolean isEmpty()

    - #### containsID

          boolean containsID(CDOID id)

    - #### isAddedObject

          boolean isAddedObject(CDOID id)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html